Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations SDETERS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Export Drawing Fake Dimension Values via script 1

Status
Not open for further replies.

rickyt

Automotive
Jun 26, 2002
239
Looking to modify code shared in a closed thread to include the Export of Fake Dimension Value.


↓Code below is a portion of it in my attempt to obtain the fake dimension value

Sub CATMain()

' ------------------------------------------------------
' *** Checks if the active document is a CATDrawing ***
' ------------------------------------------------------

On Error Resume Next
Set myDrawing = CATIA.ActiveDocument
If (Err.Number <> 0) Then
MsgBox ("A CATDrawing must be active")

Exit Sub
End If
If (InStr(myDrawing.Name, ".CATDrawing")) = 0 Then
MsgBox ("The active window must be a CATDrawing")
Exit Sub
End If
Err.Clear
On Error GoTo 0

' *** Select all Dimensions ***
Set Selection1 = myDrawing.Selection
Selection1.Clear
Selection1.Search "CATDrwSearch.DrwDimension,all"


' *** Get Dimension values
For i = 1 To Selection1.Count
Set Mydimension = Selection1.Item(i).Value
MyDimensionValue = Mydimension.GetValue.Value



MsgBox MyDimensionValue, , "Real Value"

' *** above here works
' *** Get Fake Dimension Value
' *** Below here fails on obtaining value of fake dimension

'MyFakeDimensionValue = Mydimension.GetFakeDimValue
MyFakeDimensionValue = Mydimension.GetFakeDimValue.Value


MsgBox MyFakeDimensionValue, , "Fake Value"

Next

End Sub


===========================================================
V5 Automation file
230223_Image001_atkxhl.jpg
 
Replies continue below

Recommended for you

GetFakeDim is a Method of DrawingDimValue so you should get this first then call the method on it

dim myDrDimValue as DrawingDimValue

set myDrDimension = Selection1.Item(i).Value ' return the drawing dimension object
set myDrDimValue = myDrDimension.GetValue ' return the drawing dim value object

finally as the fake dimension could be either on the main (1) or dual(2) value we have

FakeDimValue = myDrDimValue .GetFakeDimValue(1)

Eric N.
indocti discant et ament meminisse periti
 
Eric,
That worked perfect, Thanks!!!
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor